
#include "kernel.h"

#define RAMDISK_BASE 2*STACK_BASE
#define RAMDISK_SIZE 32         // v strankach

#define BLOCK_SIZE 512
#define MAX_NAME_LENGTH (32 - 4)
#define MAX_DIR_ENTRIES 16

#define FILE 1
#define DIR 2

#define ERR_NOSPACE -1
#define ERR_NOINODE -2

struct super_block {
  int inodes_cnt;
  int blocks_cnt;
  int inodes_free;
  int blocks_free;
  int root_dir_inode;
  int first_free_block;
};

struct dir_entry {
  int inode_num;
  char fname[MAX_NAME_LENGTH];
};











