#ifndef __ULIB_H
#define __ULIB_H

#include "types.h"

int u_getkey();
void u_prints( char *t );
void u_printi( unsigned int n );
void u_printf( char *t, unsigned int n );
pid_t u_fork( void (*function)(void) );
void u_exit( int return_value );
int u_wait( void );
int u_getpid( void );
int u_semget( int key, int val, int opts );
int u_semwait( int index );
int u_semsignal( int index );
int u_semdestroy( int index );
int u_shmget( ipc_id key, addr_t addr, int size, int ops );
int u_shmdestroy( ipc_id key );
int u_getacct( int pid );
int u_getmacct( int pid );
void * u_malloc( int size );
int u_free( void );
int u_mkdir( char * );
int u_lsdir( void );
int u_chdir( char * );
int u_create( char * );
int u_unlink( char * );
int u_open( char * );
int u_close( int );
int u_write( int , char *, int );
int u_read( int , char *, int );

extern int putchar(int c);
extern int getchar(void);

#endif
